﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Diagnostics;
using System.ServiceProcess;
using System.Text;
using System.Threading;
using log4net;
using System.IO;
using System.Reflection;
using System.Configuration;

namespace ADService
{
    public partial class PageRequestService : ServiceBase
    {
        private static ILog log4 = LogManager.GetLogger(MethodBase.GetCurrentMethod().DeclaringType);

        public PageRequestService()
        {
            InitializeComponent();
        }

        protected override void OnStart(string[] args)
        {
            try
            {
                log4.Info("服务已启动：");
                ExecuteTimerTask();
            }
            catch (Exception ex)
            {
                log4.Error("服务启动失败", ex);
            }
        }

        protected override void OnStop()
        {
            log4.Info("服务已停止");
        }

        public void ExecuteTimerTask()
        {
            //初始化委托变量
            TimerTaskDelegate task = new TimerTaskDelegate(SpaceTask);

            //创建定时任务线程并启动
            Thread ThreadTimerTask = TimerTask.CreateTimerTaskThread(task);
            ThreadTimerTask.IsBackground = true;
            ThreadTimerTask.Start();
            log4.Info("定时任务已启动:");
        }

        public void SpaceTask()
        {
            log4.Info("执行空任务:");
        }
    }
}
